#version 330

in vec3 vVertex;
in vec3 vNormal;
in vec3 vColor;
out vec4 frag_color;
out vec3 world_normal;
out vec4 world_position;

uniform mat4 MVP;
uniform mat4 Model;

void main()
{
	// transform vNormal into world space
	world_normal = vec3(Model * vec4(vNormal,0.0));
	
	// transform vVertex to world-space
	world_position = Model * vec4(vVertex, 1.0);
	
	gl_Position = MVP * vec4(vVertex, 1.0);
	frag_color = vec4(vColor, 1.0);
}
